Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(20)

Issue 2759803002: Layout tests: Enable fetching generated files from the build directory (Closed)

Created:
8 months, 1 week ago by yzshen1
Modified:
8 months ago
CC:
Aaron Boodman, abarth-chromium, blink-reviews, chromium-reviews, darin (slow to review), darin-cc_chromium.org, einbinder+watch-test-runner_chromium.org, jam, jochen+watch_chromium.org, mlamouri+watch-content_chromium.org, mlamouri+watch-test-runner_chromium.org, Peter Beverloo, qsr+mojo_chromium.org, tfarina, viettrungluu+watch_chromium.org, yzshen+watch_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Layout tests: Enable fetching generated files from the build directory. This CL allows URLs that start with "file:///gen/" to be mapped to the files in "<build_dir>/gen/". One use case is to allow loading generated mojom.js files using <script> tag. (We are already loading those generated mojom.js files, but using a special JS function exposed to the testing environment for AMD-style module loading. This CL is a cleaner approach.) BUG=699569 TBR=jam@chromium.org (jam@ delegated to other reviewers) Review-Url: https://codereview.chromium.org/2759803002 Cr-Commit-Position: refs/heads/master@{#459641} Committed: https://chromium.googlesource.com/chromium/src/+/628771d2f70705a9aba44a5f994dafdac9fd61ea

Patch Set 1 #

Patch Set 2 : sync & merge #

Patch Set 3 : . #

Patch Set 4 : . #

Total comments: 6

Patch Set 5 : . #

Unified diffs Side-by-side diffs Delta from patch set Stats (+37 lines, -0 lines) Patch
M content/shell/browser/layout_test/blink_test_controller.cc View 1 4 chunks +21 lines, -0 lines 0 comments Download
M content/shell/common/layout_test.mojom View 1 1 chunk +3 lines, -0 lines 0 comments Download
M content/shell/renderer/layout_test/blink_test_runner.cc View 1 2 3 4 1 chunk +13 lines, -0 lines 0 comments Download

Dependent Patchsets:

Messages

Total messages: 53 (25 generated)
yzshen1
Hi, John and Quinten. Would you please take a look? Thanks! Quinten: main reviewer. John: ...
8 months, 1 week ago (2017-03-19 05:48:37 UTC) #10
jam
I defer to Jochen
8 months ago (2017-03-20 17:12:59 UTC) #19
qyearsley
I'm actually not very familiar with this code, so I have a couple questions :-) ...
8 months ago (2017-03-20 17:40:01 UTC) #20
yzshen1
+Daniel for security review. This change to mojom only affects layout tests. https://codereview.chromium.org/2759803002/diff/60001/content/shell/browser/layout_test/blink_test_controller.cc File content/shell/browser/layout_test/blink_test_controller.cc ...
8 months ago (2017-03-20 18:01:05 UTC) #22
qyearsley
Alright, makes sense; LGTM
8 months ago (2017-03-20 18:32:21 UTC) #23
dcheng
The mojo change lgtm, but the feature as a whole feels fragile. To me, the ...
8 months ago (2017-03-21 06:40:07 UTC) #24
dcheng
On 2017/03/21 06:40:07, dcheng wrote: > The mojo change lgtm, but the feature as a ...
8 months ago (2017-03-21 06:40:43 UTC) #25
jochen (gone - plz use gerrit)
I'd prefer if dpranke@ signs off
8 months ago (2017-03-21 10:33:44 UTC) #27
yzshen1
On 2017/03/21 06:40:43, dcheng wrote: > On 2017/03/21 06:40:07, dcheng wrote: > > The mojo ...
8 months ago (2017-03-21 15:43:16 UTC) #28
Dirk Pranke
+rockot my basic understanding is that right now the bindings are loaded via <script src="layout-tests-mojom:foo.mojom.js"> ...
8 months ago (2017-03-21 23:08:22 UTC) #31
Ken Rockot(use gerrit already)
On 2017/03/21 at 23:08:22, dpranke wrote: > +rockot > > my basic understanding is that ...
8 months ago (2017-03-21 23:15:16 UTC) #32
Dirk Pranke
On 2017/03/21 23:15:16, Ken Rockot wrote: > On 2017/03/21 at 23:08:22, dpranke wrote: > > ...
8 months ago (2017-03-21 23:26:52 UTC) #33
Ken Rockot(use gerrit already)
On Tue, Mar 21, 2017 at 4:26 PM, <dpranke@chromium.org> wrote: > On 2017/03/21 23:15:16, Ken ...
8 months ago (2017-03-21 23:39:55 UTC) #34
Ken Rockot(use gerrit already)
On Tue, Mar 21, 2017 at 4:26 PM, <dpranke@chromium.org> wrote: > On 2017/03/21 23:15:16, Ken ...
8 months ago (2017-03-21 23:39:56 UTC) #35
Dirk Pranke
On 2017/03/21 23:39:56, Ken Rockot wrote: > On Tue, Mar 21, 2017 at 4:26 PM, ...
8 months ago (2017-03-21 23:47:13 UTC) #36
Ken Rockot(use gerrit already)
On Tue, Mar 21, 2017 at 4:47 PM, <dpranke@chromium.org> wrote: > On 2017/03/21 23:39:56, Ken ...
8 months ago (2017-03-21 23:49:48 UTC) #37
Ken Rockot(use gerrit already)
On Tue, Mar 21, 2017 at 4:47 PM, <dpranke@chromium.org> wrote: > On 2017/03/21 23:39:56, Ken ...
8 months ago (2017-03-21 23:49:48 UTC) #38
yzshen1
Sorry. I am late to the party. :) In addition to mojom.js files, another CL ...
8 months ago (2017-03-21 23:50:35 UTC) #39
yzshen1
> > > > They are currently implied by the mojom targets yes, but this ...
8 months ago (2017-03-22 00:00:24 UTC) #40
Dirk Pranke
On 2017/03/21 23:50:35, yzshen1 wrote: > It seems reasonable to me to have a general ...
8 months ago (2017-03-22 00:14:07 UTC) #41
yzshen1
On 2017/03/22 00:14:07, Dirk Pranke wrote: > On 2017/03/21 23:50:35, yzshen1 wrote: > > It ...
8 months ago (2017-03-22 15:58:17 UTC) #42
Ken Rockot(use gerrit already)
On Mar 22, 2017 8:58 AM, <yzshen@chromium.org> wrote: On 2017/03/22 00:14:07, Dirk Pranke wrote: > ...
8 months ago (2017-03-22 16:17:45 UTC) #43
Ken Rockot(use gerrit already)
On Mar 22, 2017 8:58 AM, <yzshen@chromium.org> wrote: On 2017/03/22 00:14:07, Dirk Pranke wrote: > ...
8 months ago (2017-03-22 16:17:45 UTC) #44
yzshen1
On 2017/03/22 16:17:45, Ken Rockot wrote: > On Mar 22, 2017 8:58 AM, <mailto:yzshen@chromium.org> wrote: ...
8 months ago (2017-03-22 16:30:32 UTC) #45
yzshen1
On 2017/03/22 16:30:32, yzshen1 wrote: > On 2017/03/22 16:17:45, Ken Rockot wrote: > > On ...
8 months ago (2017-03-23 21:45:01 UTC) #46
Ken Rockot(use gerrit already)
FWIW this LGTM as-is. Given the complexity of trying to express some duplicated subtree of ...
8 months ago (2017-03-24 19:17:56 UTC) #47
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2759803002/80001
8 months ago (2017-03-25 06:04:07 UTC) #50
commit-bot: I haz the power
8 months ago (2017-03-25 07:26:05 UTC) #53
Message was sent while issue was closed.
Committed patchset #5 (id:80001) as
https://chromium.googlesource.com/chromium/src/+/628771d2f70705a9aba44a5f994d...

Powered by Google App Engine
This is Rietveld efc10ee0f